# Generated by Django 4.0.3 on 2023-01-24 20:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="AutomobileVO",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("vin", models.CharField(max_length=17, unique=True)),
                ("href", models.CharField(max_length=200, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name="Technician",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("technician_name", models.CharField(max_length=100)),
                ("employee_number", models.CharField(max_length=100, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name="Appointment",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "customer_name",
                    models.CharField(blank=True, max_length=200, null=True),
                ),
                ("date", models.CharField(blank=True, max_length=100, null=True)),
                ("time", models.CharField(blank=True, max_length=100, null=True)),
                ("vin", models.CharField(max_length=17, unique=True)),
                ("reason", models.CharField(blank=True, max_length=400, null=True)),
                (
                    "vip_status",
                    models.BooleanField(blank=True, default=False, null=True),
                ),
                (
                    "appointment_status",
                    models.CharField(default="APPROVED", max_length=10),
                ),
                (
                    "technician",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="appointment",
                        to="service_rest.technician",
                    ),
                ),
            ],
        ),
    ]
